*{
  box-sizing: border-box;
}

html,body {
  width: 100vw;
  min-height: 100vh;
  font-family: 'open sans', sans-serif;
}

.container{
  width: 55%;
  margin: 0 auto;
}

h1{
  font-size: 42px;
  color: #000;
  font-weight: 600;
}

h3{
  font-size: 24px;
  color: #000;
  font-weight: 500;
}

p {
  color: black;
  font-size: 16px;
  line-height: 1.4;
  margin-top: 20px;
}

a {
  color: black;

}
/* NavBar */
nav {
  background-color: #EAEAEA;
}

.nav-container {
  display: flex;
  align-items: center;
  padding: 30px 0;
}

.brand-logo {
  width: 170px;
}

.brand-logo img {
  width: 100%;
  height: auto;
}

.nav-items {
  margin-left: auto;
}

.nav-items ul {
  display: flex;
}

.nav-items li {
  margin-left: 30px;
  padding: 10px;
}

.nav-items li:hover {
  border-bottom: 5px solid #0066f9;
}
.nav-items a {
  text-decoration: none;
  color: black;
  font-size: 18px;
}

.active {
  border-bottom: 5px solid #0066f9;
}

.btn{
  background-color:  #0066f9;
  border-radius: 2px;
  color: white;
}

.btn a {
  color: white;
}

/* Footer */

footer{
  padding: 20px 0;
}
hr.footer {
  border-top: 1px solid #EAEAEA;
  margin: 0;
}

.icons span {
  margin-right: 15px;

}
.icons i {
  font-size: 50px;
  color: #0066f9;
}

/* Main Content */

main{
  padding:50px 0;
}

/* for home page */
hr.home {
  margin: 25px 0;
}

.blog-cards {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: 25px;
  margin-top: 25px;
}

.blog-cards a {
  text-decoration: none;
}

.blog-card-item {
  width: 100%;
  overflow: hidden;
  background-color: #EAEAEA;
}

.blog-image {
  width: 100%;
  height: 300px;
  max-height: 300px;
}

.blog-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.card-tag-container {
  width: 100%;
  display: flex;
  justify-content: center;
}

.card-tag {
  padding: 10px;
  background-color: #7d4cdb;
  color: #fff;
  text-transform: uppercase;
  font-size: 14px;
  font-weight: 600;
  margin-top: -17px;
}

.card-contents {
  padding: 0 35px 50px 35px;
}

.small {
  font-size: 14px;
}

.small i {
  font-size: 4px;
  margin: -10px 2px 0 2px;
}

.card-title {
  font-size: 24px;
  margin-top: 10px;
}

.all-post {
  margin-top: 50px;
}


.blog-details h1 {
  font-size: 36px;
  margin-top: 16px;
  margin-bottom: 16px 0;

}

.blog-details h2 {
  font-size: 28px;
  margin: 14px 0;
}

.blog-details h3 { 
  font-size: 24px;
  margin: 12px 0;
}

.blog-details p {
  font-size: 16px;
  line-height: 1.5;
  margin: 12px 0;
}

.blog-details img {
  width: 100%;
  height: auto;
  margin:  12px 0 ;
}

.blog-details .title {
  font-size: 42px;
  margin: 30px;
}


/* About Section */
.about {
  background: linear-gradient(360deg, rgb(245, 255, 245) 0%, #FFFFFF 100%); 
  padding: 100px 0 20px 0;
  text-align: center;
}

.about h1 {
  font-size: 2.5rem;
  margin-bottom: 20px;
}

.about p {
  font-size: 1rem;
  color: #323030;
  max-width: 800px;
  margin: 0 auto;
}

.about-info {
  margin: 2rem 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: left;
}

.about-img {
  width: 20rem;
  height: 20rem;

}

.about-img img {
  width: 100%;
  height: 100%;
  border-radius: 5px;
  object-fit: contain;
}

.about-info p {
  font-size: 1.3rem;
  margin: 0 2rem;
  text-align: justify;
}

button {
  border: none;
  outline: 0;
  padding: 10px;
  margin: 2rem;
  font-size: 1rem;
  color: white;
  background-color: #40b736;
  text-align: center;
  cursor: pointer;
  width: 15rem;
  border-radius: 4px;
}

button:hover {
  background-color: #1f9405;
}

/* Team Section */
.team {
  padding: 30px 0;
  text-align: center;
}

.team h1 {
  font-size: 2.5rem;
  margin-bottom: 20px;
}

.team-cards {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 15px;
  margin-top: 20px;
}

.card {
  background-color: white;
  border-radius: 6px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.5);
  overflow: hidden;
  transition: transform 0.2s, box-shadow 0.2s;
  width: 18rem;
  height: 25rem;
  margin-top: 10px;
}

.card:hover {
  transform: translateY(-5px);
  box-shadow: 0 8px 12px rgba(0, 0, 0, 0.5);
}

.card-img {
  width: 18rem;
  height: 12rem;
}

.card-img img {
  width: 100%;
  height: 100%;
  object-fit: fill;
}

.card-info button {
  margin: 2rem 1rem;
}

.card-name {
  font-size: 2rem;
  margin: 10px 0;
}

.card-role {
  font-size: 1rem;
  color: #888;
  margin: 5px 0;
}

.card-email {
  font-size: 1rem;
  color: #555;
}

/* contact form */
.form-container {
  margin-top: 50px;
}

.form-group {
  width: 100%;
  margin-top: 25px;
}

.form-group label {
  display: block;
  font-size: 18px;
  font-weight: 500;  
}

.form-input-field {
  margin-top: 10px;
  width: 100%;
  padding: 15px;
  outline: none;
  border: 1px solid #EAEAEA;
  font-size: 16px;
  border-radius: 3px;

}

.form-textarea {
  margin-top: 10px;
  margin-top: 10px;
  width: 100%;
  padding: 15px;
  outline: none;
  border: 1px solid #EAEAEA;
  font-size: 16px;
  border-radius: 3px;
  resize: none;
}

.form-submit-btn {
  margin-top: 10px;
  padding: 10px 30px;
  border: none;
  border-radius: 3px;
  font-size: 16px;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-weight: 600;
  cursor: pointer;
  background: #0066f9;
  color: white;
}
